Bug 132201 - FILESAVE: PPTX: glow effect is gone in MSO after RT
Summary: FILESAVE: PPTX: glow effect is gone in MSO after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, dataLoss, regression
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2020-04-17 17:35 UTC by Xisco Faulí
Modified: 2020-05-11 07:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-04-17 17:35:30 UTC
Steps to reproduce:
1. Open attachment 135569 [details] from bug 111838
2. Save it as PPTX
3. Open it in MSO Powerpoint

-> Glow effect is gone. Besides, Powerpoint claims there's content in the file it did not understand and was removed

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: acedbb8692bc84c93114dc4d441b3eb20b3ac467
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-04-17 17:37:16 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f9fc420dceb1ece2c98767da16a21aaff771f140

author	Tamas Bunth <tamas.bunth@collabora.co.uk>	2020-01-21 19:04:13 +0100
committer	Tamás Bunth <btomi96@gmail.com>	2020-03-03 15:52:47 +0100
commit	f9fc420dceb1ece2c98767da16a21aaff771f140 (patch)
tree	299b9c856a3567ee85af11b7b314d2d02a03420b
parent	224ab38f747dcafe711c10b54ad53c52bda9e41d (diff)
tdf#101181 Implement glow effect on shapes

Bisected with: bibisect-linux64-6.5

Adding Cc: to Tamas Bunth
Comment 2 Xisco Faulí 2020-04-17 17:41:47 UTC
content in slide1 changed from

          <a:effectLst>
            <a:glow rad="355600">
              <a:schemeClr val="accent1">
                <a:alpha val="40000"/>
              </a:schemeClr>
            </a:glow>
            <a:outerShdw algn="t" blurRad="76200" dir="2759954" dist="2539861" rotWithShape="0">
              <a:srgbClr val="000000">
                <a:alpha val="40000"/>
              </a:srgbClr>
            </a:outerShdw>
          </a:effectLst>

to

          <a:effectLst>
            <a:outerShdw algn="t" blurRad="76200" dir="2759954" dist="2539861" rotWithShape="0">
              <a:srgbClr val="000000">
                <a:alpha val="40000"/>
              </a:srgbClr>
            </a:outerShdw>
            <a:glow rad="355600">
              <a:srgbClr val="5b9bd5"/>
            </a:glow>
          </a:effectLst>
Comment 3 Mike Kaganski 2020-05-08 10:37:50 UTC
https://gerrit.libreoffice.org/c/core/+/93717
Comment 4 Commit Notification 2020-05-08 12:39:13 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c94d7b8a9aafc51ce33e74c6102c9b54a07a6b16

tdf#132201: use proper sequence order of effects per spec

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-05-11 07:24:15 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mike, thanks for fixing this issue!!